<h1 align="center">JutulDarcyRules: auto-differentiable two-phase flow solvers based on Jutul and JutulDarcy</h1>

[![][license-img]][license-status] [![][zenodo-img]][zenodo-status]

Interoperate [Jutul.jl] and [JutulDarcy.jl] to other Julia packages via [ChainRules.jl]

## LICENSE

The software used in this repository can be modified and redistributed according to [MIT license](LICENSE).

## Papers

The following publications use [JutulDarcyRules.jl]:

- **"Inference of CO2 flow patterns -- a feasibility study"**, doi: [10.48550/arXiv.2311.00290](https://doi.org/10.48550/arXiv.2311.00290)

- **"Solving multiphysics-based inverse problems with learned surrogates and constraints"**, doi: [10.1186/s40323-023-00252-0](https://doi.org/10.1186/s40323-023-00252-0)

- **"Learned multiphysics inversion with differentiable programming and machine learning"**, doi: [10.1190/tle42070474.1](https://library.seg.org/doi/10.1190/tle42070474.1)

## Reference

If you use our software for your research, we appreciate it if you cite us following the bibtex in [CITATION.bib](CITATION.bib).

## Authors

This repository is written by Ziyi Yin from the [Seismic Laboratory for Imaging and Modeling](https://slim.gatech.edu/) (SLIM) at the Georgia Institute of Technology.

If you have any question, we welcome your contributions to our software by opening issue or pull request.

SLIM Group @ Georgia Institute of Technology, [https://slim.gatech.edu](https://slim.gatech.edu/).      
SLIM public GitHub account, [https://github.com/slimgroup](https://github.com/slimgroup).    

[Jutul.jl]:https://github.com/sintefmath/Jutul.jl
[JutulDarcy.jl]:https://github.com/sintefmath/JutulDarcy.jl
[JutulDarcyRules.jl]:https://github.com/slimgroup/JutulDarcyRules.jl
[ChainRules.jl]:https://github.com/JuliaDiff/ChainRules.jl
[license-status]:LICENSE
[license-img]:http://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat?style=plastic
[zenodo-status]:https://zenodo.org/badge/latestdoi/594128866
[zenodo-img]:https://zenodo.org/badge/594128866.svg?style=plastic